Bug 108188 - PageStyle property "isInUse" is always true
Summary: PageStyle property "isInUse" is always true
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.4.0 target:7.3.4
Keywords:
Depends on:
Blocks: Calc-Styles
  Show dependency treegraph
 
Reported: 2017-05-28 06:39 UTC by Oliver Brinzing
Modified: 2022-05-11 07:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test styles inuse (10.48 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-05-28 06:39 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2017-05-28 06:39:24 UTC
Created attachment 133660 [details]
test styles inuse

PageStyle property "IsInUse" does not work for spreadsheets.
It's always "true".

steps to reproduce:

- open attached spreadsheet
- run macro
-> for example unused PageStyle "Report" is true
Comment 1 Buovjaga 2017-06-04 16:40:44 UTC
Confirmed with macro Test.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: c855400e9686ddd8bcba5691393f839f6f52c966
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 2nd 2017
Comment 2 QA Administrators 2018-06-17 02:44:25 UTC Comment hidden (obsolete)
Comment 3 Thorsten Behrens (allotropia) 2018-07-11 20:27:31 UTC
Still happens on 6.1 beta2 FWIW.
Comment 4 QA Administrators 2019-07-12 02:52:42 UTC Comment hidden (obsolete)
Comment 5 Oliver Brinzing 2019-07-12 14:33:54 UTC
reproducible with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: a64402bbdc246c52097acf79e14d7bf58db65217
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: CL

Macro still reports:

isInUse: Default: True      isUserDefined: False
isInUse: Report: True       isUserDefined: False
isInUse: MyPageStyle: True  isUserDefined: True
Comment 6 Jean-Francois Nifenecker 2022-02-19 10:00:40 UTC
Always present in v.7.2

Version: 7.2.1.2 / LibreOffice Community
Build ID: 87b77fad49947c1441b67c559c339af8f3517e22
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Calc: threaded

Very annoying for macro users.
Comment 7 Commit Notification 2022-05-10 18:32:05 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ad79900cd62c487bda9d2515892d62b3b08a5dfa

tdf#108188, tdf#131190 - Verify that the page style is actually used

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-05-11 07:57:25 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/10c07e001da992cff4078c1cb1f49fdb16673ac3

tdf#108188, tdf#131190 - Verify that the page style is actually used

It will be available in 7.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.